{
  "name": "@app/gateway-service",
  "version": "0.0.1",
  "description": "Gateway Service",
  "author": "Aldrich Saltson",
  "private": true,
  "license": "UNLICENSED",
  "engines": {
    "node": "16.x",
    "npm": "9.x"
  },
  "scripts": {
    "lint": "eslint --no-error-on-unmatched-pattern \"{src,test}/**/*.{ts, js}\" --fix",
    "lint:no-fix": "eslint --no-error-on-unmatched-pattern \"{src,test}/**/*.{ts, js}\"",
    "test:watch": "jest --watch",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register jest --runInBand",
    "test:unit": "jest",
    "test:e2e": "jest --config ./test/e2e/jest-e2e.json",
    "test:all": "npm run test:unit && npm run test:e2e",
    "test:cover": "npm run test:unit -- --coverage && npm run test:e2e -- --coverage",
    "test:unit:ci": "jest --ci --coverage --reporters=default  --reporters=jest-junit",
    "test:e2e:ci": "jest --ci  --coverage --reporters=default --config ./test/e2e/jest-e2e.json",
    "start:local": "cd ../../ && dotenv -e apps/gateway-service/.env -- nest start @app/gateway-service --watch",
    "start:debug": "cd ../../ && dotenv -e apps/gateway-service/.env -- nest start @app/gateway-service --debug --watch",
    "start:repl": "cd ../../ && dotenv -e apps/gateway-service/.env -- nest start @app/gateway-service --entryFile repl",
    "start:repl:watch": "cd ../../ && dotenv -e apps/gateway-service/.env -- nest start @app/gateway-service --watch --entryFile repl",
    "openapi:spec-generate": "npm run -w=@tools/swagger-doc exec"
  },
  "dependencies": {
    "@nestjs/passport": "^10.0.0",
    "@nestjs/swagger": "^7.1.6",
    "auth0": "^3.6.0",
    "helmet": "^7.0.0",
    "jwks-rsa": "^3.0.1",
    "passport": "^0.6.0",
    "passport-jwt": "^4.0.1"
  },
  "devDependencies": {
    "@types/auth0": "^3.3.4",
    "cross-env": "^7.0.3"
  }
}
